local MMW = ...


local function QuestRewardResources(resources)
	return {
		DataType = "QUEST_REWARD_RESOURCES",
		ResourceCollection = resources
	}
end

local function QuestFunctionDelivery(resources)
	return {
		DataType = "QUEST_FUNCTION_DELIVER_RESOURCES",
		ResourceListToDeliver = resources,
		Estate = "CLERGY",
		DaysCount = 10000000
	}
end

local function QuestFunctionBuild(BuildingList)
	return {
		DataType = "QUEST_FUNCTION_BUILD",
		BuildingListToBuild = BuildingList
	}
end

MMW:register({
	DataType = "EVENT",
	Id = "MMW_SETUP_EVENT",
	Title = "MMW_SETUP_EVENT_TITLE",
	Description = "MMW_SETUP_EVENT_DESC",
	ConditionList = {
		{
			DataType = "GAME_CONDITION_BUILDING_BUILT",
			AssetBuilding = "BUILDING_GRANARY"
		}
	},
	ActionList = {
		{
			DataType = "EVENT_ACTION_GIVE_QUEST",
			Quest = "WEATHER_QUEST"
		}
	}
})

MMW:register({
	DataType = "QUEST",
	Id = "WEATHER_QUEST",
	Name = "WEATHER_QUEST_NAME",
	Description = "WEATHER_QUEST_DESC",
	QuestFunction = QuestFunctionDelivery({{Resource = "BERRIES", Quantity = 1}}),	
	QuestRewardList = {
		QuestRewardResources({{Resource = "BERRIES", Quantity = 1}}),
	},
	QuestListToUnlockAfter = {{QuestResource = "WEATHER_QUEST", Delay = 0}}, 
	OnSuccessCallback = {

		DataType = "EVENT_CALLBACK_TRIGGER_EVENT", 
		Event = "WEATHER_EVENT", 
		Delay = 0

	}
})

MMW:register({
	DataType = "EVENT",
	Id = "WEATHER_EVENT",
	Delay = 0,
	ActionList = {
		{
			DataType = "ACTION_SHOW_NARRATIVE_PANEL",
			NarrativePanelData = {
				Title = "WEATHER_EVENT_TITLE",
				Description = "WEATHER_EVENT_DESC",
				PanelVisual = "ILLUSTRATION_ESTATE_CHURCH",
			},
			ChoiceList = {
				{
					ShortName = "RAINY",
					EventActionList = {	
						{
							DataType = "EVENT_ACTION_CHANGE_WEATHER",
							AssetWeather = "WEATHER_RAINY",
							IsWeatherSystemOverriden = true
							
						}
					}
				
				},
				{
					ShortName = "SUNNY",
					EventActionList = {	
						{
							DataType = "EVENT_ACTION_CHANGE_WEATHER",
							AssetWeather = "WEATHER_SUNNY",
							IsWeatherSystemOverriden = true
							
						}
					}
				},
								{
					ShortName = "EXIT",
					EventActionList = {	
						{
							DataType = "EVENT_ACTION_IGNORE"
						}
					}
				}
			}
		}
	}
})
		
MMW:override({
	Id = "DEFAULT_BALANCING",
	EventList={Action = "APPEND", "MMW_SETUP_EVENT"}, --FCconfig["balancing"]["DelayedQuestList"],
})